LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::ChangeAction Constant Group Referencepublished

## Variables
const long | INSERT = 1
| indicates that an insert will be performed. More...
const long | UPDATE = 2
| indicates that an update will be performed. More...
const long | DELETE = 3
| indicates that a delete will be performed. More...
const long | UNDO = 4
| indicates that an undo will be performed. More...

## Detailed Description

Deprecated:
  determines the type of the change which is going to be performed.

## Variable Documentation

## ◆ DELETE

const long DELETE = 3

indicates that a delete will be performed.

## ◆ INSERT

const long INSERT = 1

indicates that an insert will be performed.

## ◆ UNDO

const long UNDO = 4

indicates that an undo will be performed.

## ◆ UPDATE

const long UPDATE = 2

indicates that an update will be performed.